=== debian/changelog ===
alsa-scarlett-gui (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
    - Routing window can now be resized and will scroll as you drag.
    - Main window is taller and narrower for larger interfaces without
      speaker switching.
    - Level meters are now read-only.
    - CFLAGS from the environment is now respected during build, ensuring that
      hardening flags are correctly passed to the compiler.
    - Reworked UI with custom theme.
    - Support for Scarlett 4th Gen and Vocaster
    - Support for firmware update (with kernel 6.8+ or updated snd-usb-audio
      protocol driver)
    - Support for config reset
    - Updated documentation

  * Packaging changes:
    - INSTALL.md: Remove build instructions
    - d/control: build only for Linux targets, since this application depends
      on the Scarlett mixer driver shipped with the Linux kernel.
    - Add superficial autopkgtest to check installation and execution.
    - Add salsa-ci.yml for build testing.
    - Remove multiarch and disable salsa-ci crossbuild test, due to a dependency
      on gobject-introspection.
    - Include examples from demo/ directory for use in interface simulation
      mode.
    - Include upstream documentation files.
    - Add build-depends on libssl-dev
    - Bump copyright year
    - Bump Standards-Version to 4.7.0, no changes needed.

 -- Dale Richards <dale@dalerichards.net>  Fri, 12 Apr 2024 09:09:59 +0100

alsa-scarlett-gui (0.3.2-1) unstable; urgency=low

  * Initial release. Closes: #1036223
  * Add basic man page.

 -- Dale Richards <dale@dalerichards.net>  Mon, 20 Nov 2023 10:19:23 +0000
