=== debian/control ===
Source: alsa-scarlett-gui
Section: sound
Priority: optional
Maintainer: Dale Richards <dale@dalerichards.net>
Build-Depends: debhelper-compat (= 13),
 libasound2-dev,
 libgtk-4-dev,
 libssl-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/geoffreybennett/alsa-scarlett-gui
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/doge-tech/alsa-scarlett-gui.git
Vcs-Browser: https://salsa.debian.org/doge-tech/alsa-scarlett-gui

Package: alsa-scarlett-gui
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Gtk4 GUI for the Focusrite Scarlett/Clarett ALSA controls
 This package contains a Gtk4 GUI for the ALSA controls
 exposed by the Focusrite Scarlett/Clarett kernel driver
