=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export PREFIX = /usr

%:
	dh $@ -Dsrc

override_dh_auto_build:
	dh_auto_build -- VERSION=$(DEB_VERSION)
