## alsa-scarlett-gui 0.5.1

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2022-2024 Geoffrey D. Bennett <g@b4.vu>
+# SPDX-FileCopyrightText: 2022-2025 Geoffrey D. Bennett <g@b4.vu>
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 # Credit to Tom Tromey and Paul D. Smith:
@@ -12,8 +12,9 @@
 DEPDIR := .deps
 DEPFLAGS = -MT $@ -MMD -MP -MF $(DEPDIR)/$*.d
 
-CFLAGS ?= -ggdb -fno-omit-frame-pointer -O2
-CFLAGS += -Wall -Werror -D_FORTIFY_SOURCE=2
+CFLAGS ?= -ggdb -fno-omit-frame-pointer -fPIE -O2
+CFLAGS += -Wall -Werror
+CFLAGS += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3
 CFLAGS += -DVERSION=\"$(VERSION)\"
 CFLAGS += -Wno-error=deprecated-declarations
 
@@ -26,7 +27,7 @@
 LDFLAGS += $(shell $(PKG_CONFIG) --libs glib-2.0)
 LDFLAGS += $(shell $(PKG_CONFIG) --libs gtk4)
 LDFLAGS += $(shell $(PKG_CONFIG) --libs alsa)
-LDFLAGS += -lm -lcrypto
+LDFLAGS += -lm -lcrypto -pie
 
 COMPILE.c = $(CC) $(DEPFLAGS) $(CFLAGS) -c
 
@@ -52,7 +53,7 @@
 
 all: $(TARGET) $(DESKTOP_FILE)
 
-clean:
+clean: depclean
 	rm -f $(TARGET) $(DESKTOP_FILE) $(OBJS) $(XML_OBJ)
 
 depclean:
@@ -66,7 +67,7 @@
 include $(wildcard $(DEPFILES))
 
 $(TARGET): $(OBJS)
-	cc -o $(TARGET) $(OBJS) ${LDFLAGS}
+	$(CC) -o $(TARGET) $(OBJS) ${LDFLAGS}
 
 ifeq ($(PREFIX),)
   PREFIX := /usr/local
