=== debian/changelog ===
alsa-scarlett-gui (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
    - Add support for 1st Gen (6i6, 8i6, 18i6, 18i8, 18i20) and big 4th Gen
      (16i16, 18i16, 18i20) interfaces.
  * Bump Standards-Version to 4.7.2 (no changes required).
  * Bump copyright year.

 -- Dale Richards <dale@dalerichards.net>  Thu, 20 Mar 2025 13:56:03 +0000
