=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libasound2-dev,
  libgtk-4-dev,
  libssl-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/geoffreybennett/alsa-scarlett-gui
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/doge-tech/alsa-scarlett-gui.git
