=== debian/tests/control ===
Test-Command: alsa-scarlett-gui --help
Depends: @
Restrictions: superficial
